
# EmailHistoryActions::__construct  - Constructor

### Usage

>  EmailHistoryActions::__construct(array $attr, App $app, Db $db, Convert $convert)

### Description

> All attributes within the <s:function> tag are passed to this method during instantiation, and here you can define various properties (ie. userid, type, et al) to be used in below methods.

### Parameters

Parameter | Required | Type | Description
------------- |------------- |------------- |------------- 
attr | Yes | array |
app | Yes | App |
db | Yes | Db |
convert | Yes | Convert |

### Return
>  
### See Also

* [formatRow()](formatrow)
* [getRows()](getrows)
* [getTotal()](gettotal)


